Subject: Re: [PATCH] gitk: workaround Tcl/Tk Cmd-TAB behavior on OSX

From: Tair Sabirgaliev <[email-masked]>
Date: Thu, 11 Apr 2013 10:36:14 +0600

On 4/11/13 8:46 AM, David Aguilar wrote:
> Apologies because I don't know the Tk API very well.
>
> In Qt there is an API method to raise windows -- QWidget::raise().
>
> Is there no similar API in Tk?
>
> I seems like this may be related:
>
> http://wiki.tcl.tk/9457
>
> ..but it seems that -topmost may not be exactly the same thing.
>
> That said, if there's no portable way to do it, then this is certainly a
> workaround.

Yes, I tried that one. Here is a quick test:

========== hello.tcl =============
#!/bin/sh
# Tcl ignores the next line -*- tcl -*- \
exec wish "$0" -- "$@"

package require Tk

grid [ttk::button .b -text "Hello World"]
wm attributes . -topmost true
==================================

I'm not sure I'm doing it right, but it doesn't work.

Look like Tcl/Tk dev are very paranoic about windows created from 
Terminal/shell scripts: they don't let them take over , even if it is 
desired.